package com.chenyang.nse.bussiness.tools.dataprocess;

public class ColumnEncryption {
   public String columnName;
   public String secretkeyId;
   public String dataSystemId;
   public boolean isPrimaryKey;

   public void setColumnName(String columnNameTemp) {
      this.columnName = columnNameTemp;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public void setSecretkeyId(String keyId) {
      this.secretkeyId = keyId;
   }

   public String getSecretkeyId() {
      return this.secretkeyId;
   }

   public void setDataSystemId(String dataSystemIdTemp) {
      this.dataSystemId = dataSystemIdTemp;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setPrimaryKey(boolean isPrimary) {
      this.isPrimaryKey = isPrimary;
   }

   public boolean isPrimaryKey() {
      return this.isPrimaryKey;
   }
}
